सवाल फ्लैश वीडियो नीला दिखाई देता है


समस्या

उबंटू 11.10 से उबंटू 12.04 को अपडेट करने के बाद, सभी वीडियो अभी भी नीले हैं, चाहे ब्राउज़र या प्लेयर में खेल रहे हों। 11.10 में भी वही समस्या होती है।

मैंने सभी फ्लैश को अनइंस्टॉल करने और पुनः स्थापित करने का प्रयास किया है लेकिन इससे कोई फर्क नहीं पड़ता है।

ब्लू फ्लैश वीडियो का कारण क्या है?

उबंटू 11.10 64 बिट

उबंटू 12.04 एलटीएस 64 बिट


यह किस तरह का दिखता है

Blue flash videos


243
2018-03-29 18:42


मूल


bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/... - Somatik


जवाब:


यहां कुछ भ्रामक और कुछ गलत अनुशंसाएं हैं, इसलिए चलो समझाएं कि समस्या क्या है और क्या समाधान हैं।

टी एल; डॉ

12.10 (क्वांटल) के बाद उबंटू के नवीनतम संस्करण पुस्तकालय का एक पैच संस्करण शामिल हैं। यदि आप अभी भी नीले वीडियो के साथ मुद्दों में भाग लेते हैं (इसमें शामिल नहीं है ब्लू मैन समूह), चेक आउट यह जवाब - फ़्लैश प्लेयर का पुस्तकालय नाम होना चाहिए libflashplayer.so अन्यथा libvdpau कामकाज लागू नहीं करेगा। आप भी एक नज़र डाल सकते हैं /etc/vdpau_wrapper.cfg फ़ाइल। वहां आप libvdpau द्वारा लागू वर्कअराउंड अक्षम कर सकते हैं।

यदि आपके पास वनिरिक (11.10) या सटीक (12.04) है, तो पैच किए गए libvdpau इंस्टॉल करें:

sudo add-apt-repository ppa:tikhonov/misc
sudo apt-get update
sudo apt-get install libvdpau1

अन्यथा आप फ़्लैश प्लेयर की लाइब्रेरी को संशोधित कर सकते हैं:

cd /usr/lib/flashplugin-installer || cd /usr/lib/adobe-flashplugin/
sudo perl -pi.bak -e 's/libvdpau/lixvdpau/g' libflashplayer.so

टिप्पणी करने से पहले पूरी पोस्ट पढ़ें।

समस्या

संस्करण 11.2 के बाद से फ्लैश प्लेयर अधिकांश प्लेटफार्मों पर हार्डवेयर वीडियो त्वरण का उपयोग करता है। दुर्भाग्य से लिनक्स में त्वरण सिर्फ असमर्थित नहीं है, लेकिन अनिवार्य रूप से टूटा हुआ है। फ्लैश प्लेयर निम्नलिखित शर्तों के तहत वीडियो में रंग बदलता है:

  • आप काफी नए एनवीडिया जीपीयू का उपयोग कर रहे हैं VDPAU समर्थन।
  • आप एनवीडिया बाइनरी ड्राइवर के मौजूदा संस्करण का उपयोग कर रहे हैं (पुराने संस्करण वीडीपीएयू का समर्थन नहीं करते हैं)।
  • आपके पास libvdpau1 पैकेज स्थापित
  • साइट पर खिलाड़ी का उपयोग करता है चरण वीडियो - यही कारण है कि केवल यूट्यूब और कुछ अन्य खिलाड़ी प्रभावित हैं।

देख Nvidia से पियरे-Loup Griffais द्वारा स्पष्टीकरण

यह Nvidia ड्राइवरों में एक बग नहीं है। Nvidia इस समस्या से अवगत है और वे पहले से ही एक कामकाज बनाया है। नोवेउ ड्राइवर शायद प्रभावित नहीं है क्योंकि वीडियो डिकोडिंग समर्थन अभी तक समाप्त नहीं हुआ है

यह libvdpau में एक बग नहीं है। libvdpau सिर्फ एक रैपर है जो वीडियो प्लेयर को VDPAU डिकोडिंग का उपयोग करने की अनुमति देता है (देखें स्टीफन वॉरेन की व्याख्या)।

यह उबंटू-विशिष्ट बग नहीं है। अन्य वितरण भी प्रभावित होते हैं, उदा। मेहराब

फ्लैश प्लेयर में बग बहुत संभव है - हालांकि एडोब नेविडिया और अक्षम उपयोगकर्ताओं को दोष देने की कोशिश की है। एडोब के बगट्रैकर पर कई रिपोर्टें हुई हैं, उन सभी को "कैनोट रीप्रोडेस" के रूप में खारिज कर दिया गया था:

एनपीएपीआई-आधारित फ्लैश प्लेयर के बाद एडोब से आधिकारिक फिक्स नहीं होगा केवल सुरक्षा पैच प्राप्त करता है 2017 तक। उम्मीद है कि उस समय तक हमें फ़्लैश प्लेयर की आवश्यकता नहीं होगी।

कामकाज

Libvdpau 0.5 का प्रयोग करें

उबंटू 12.10 के बाद से आधिकारिक भंडार में उपलब्ध है libvdpau 0.4.1-6

Libvdpau के इस संस्करण में नीचे वर्णित स्टीफन वॉरेन द्वारा एक वर्कअराउंड शामिल है।

रिलीज घोषणा देखें

पैच libvdpau स्थापित करें (उचित पैच)

स्टीफन वॉरेन ने libvdpau के लिए अच्छा पैच बनाया है, जो फ्लैश प्लेयर का पता लगाता है और इसके लिए केवल वर्कअराउंड लागू करता है। पैच का उपयोग कर नियंत्रित किया जा सकता है /etc/vdpau_wrapper.cfg फ़ाइल।

पैच किए गए libvdpau रंगों को ठीक करता है और फ्लैश प्लेयर को हार्डवेयर ओवरले के लिए VDPAU का उपयोग करने की अनुमति देता है जो अभी भी कुछ प्रदर्शन लाभ प्रदान करता है।

रैपर के काम करने के लिए, इसे फ्लैश के उपयोग को पहचानने की आवश्यकता है। तो फ्लैश लाइब्रेरी का नाम होना चाहिए libflashplayer.so और फ़ायरफ़ॉक्स में प्लगइन रैपर को सक्षम होना चाहिए (में about:config, dom.ipc.plugins.enabled.libflashplayer.so तथा dom.ipc.plugins.enabled पर सेट किया जाना चाहिए true)।

सटीक (12.04) और वनरिक (11.10) के लिए आप पैच किए गए libvdapu से स्थापित कर सकते हैं मैक्सिम थिकोनोव के पीपीए निम्न आदेशों का उपयोग कर:

sudo add-apt-repository ppa:tikhonov/misc
sudo apt-get update
sudo apt-get install libvdpau1

परिवर्तन रीबूट (या संभवतः जल्द ही) के बाद प्रभावी होना चाहिए।

फ़्लैश प्लेयर को libvdpau खोजने से रोकें

(के जरिए लॉन्चपैड पर डैनियल मारियो वेगा)

पता लगाएँ libflashplayer.so आपके सिस्टम में - उबंटू के लिए, यह या तो अंदर है /usr/lib/adobe-flashplugin/ यदि आपके पास है adobe-flashplugin पैकेज स्थापित, या /usr/lib/flashplugin-installer/ के लिये flashplugin-installer पैकेज। अपने ब्राउज़र से परामर्श लें about:plugins अगर आपको फाइल ढूंढने में परेशानी है (फ़ायरफ़ॉक्स के मामले में थोड़ा tweaking शायद जरूरत पड़े)।

निम्न आदेश चलाएं - मान लें कि आपने या तो इंस्टॉल किया है flashplugin-installer, या adobe-flasplugin:

 cd /usr/lib/flashplugin-installer || cd /usr/lib/adobe-flashplugin/
sudo perl -pi.bak -e 's/libvdpau/lixvdpau/g' libflashplayer.so

ब्राउज़र को पुनरारंभ करने के बाद परिवर्तन प्रभावी होता है।

यह फ़्लैश प्लेयर की बाइनरी को "libvdpau" के बजाय मौजूद "lixvdpau" लाइब्रेरी की खोज करने के लिए संशोधित करेगा। इसलिए यह VDPAU प्रस्तुति का उपयोग करने का प्रयास नहीं करेगा।

यदि आप किसी भी समस्या में भाग लेते हैं तो आदेश बाइनरी के libflashplayer.so.bak बैकअप बनाता है।

फ्लैश प्लेयर अपडेट होने पर आपको हर बार इस कमांड को चलाने की आवश्यकता होती है क्योंकि आपका परिवर्तन ओवरराइट हो जाएगा।

इस कामकाज के साथ आप एचडब्ल्यू त्वरण को रख सकते हैं, libvdpau1 स्थापित है और libvdpau पैचिंग की तुलना में आवेदन करना बहुत आसान है।

PepperFlash के साथ Google क्रोम का प्रयोग करें

संस्करण 20 के बाद से, Google क्रोम पीपीएपीआई समर्थन के साथ "मिर्च" फ्लैश प्लेयर 11.3 के साथ जहाज (फ़ायरफ़ॉक्स एट अल द्वारा उपयोग किए गए एनपीएपीआई पर 11.2 के बजाय)। पेपर फ्लैश इस समस्या से प्रभावित नहीं प्रतीत होता है क्योंकि यह पूर्ण हार्डवेयर त्वरण का उपयोग करता प्रतीत होता है।

PepperFlash क्रोमियम के साथ इस्तेमाल किया जा सकता है, लेकिन दुर्भाग्य से कोई अन्य ब्राउज़र वर्तमान में पीपीएपीआई का समर्थन नहीं करता है।

फ्लैश प्लेयर के हार्डवेयर त्वरण को अक्षम करें

सबसे आसान और कम से कम घुसपैठ करने वाला फ़िक्स फ़्लैश प्लेयर को अक्षम करना है प्रदर्शन सेटिंग्स में एचडब्ल्यू त्वरण - फ्लैश पर राइट क्लिक करें, सेटिंग्स का चयन करें ...

हालांकि, यह इतना आसान नहीं है क्योंकि सेटिंग्स विंडो समग्र प्रबंधक (कंपिज़, मानक एकता) के तहत अनुत्तरदायी है और यदि ब्राउज़र स्क्रॉलबार दिखाता है।

हार्डवेयर त्वरण को अक्षम करने के लिए पूर्णस्क्रीन में किसी भी वीडियो (उदा। YouTube पर) खोलें फिर सेटिंग्स ... विंडो खोलें। या आप अस्थायी रूप से एकता 2 डी या अन्य गैर-समग्र WM पर स्विच कर सकते हैं।

रीफ्रेश के बाद परिवर्तन प्रभावी होता है।

दोष: यह वेक्टर और बिटमैप संचालन के लिए भी फ़्लैश प्लेयर में एचडब्ल्यू त्वरण अक्षम करता है। कुछ फ़्लैश गेम्स और फिल्मों में खराब प्रदर्शन और / या खराब ग्राफिक्स हो सकते हैं।

Libvdpau अनइंस्टॉल करें

यदि आप फ्लैश प्लेयर सक्षम में एचडब्ल्यू त्वरण चाहते हैं, तो आप सिस्टम से libvdpau को अनइंस्टॉल कर सकते हैं, जो प्रभावी रूप से फ़्लैश प्लेयर को VDPAU का उपयोग करने से रोकता है।

चलाएँ:

sudo apt-get remove libvdpau1

दोष: डेस्कटॉप प्लेयर (टोटेम और मप्लेयर की तरह) हार्डवेयर वीडियो डिकोडिंग का भी उपयोग नहीं कर पाएंगे। इससे प्लेबैक के दौरान उच्च CPU उपयोग होगा। इसके अलावा वीडियो प्लेबैक प्रदर्शन प्रभावित हो सकता है (उदा। फ्रेम या पूरी तरह से जमे हुए चित्र), खासकर अगर आपके पास धीमी सीपीयू है और आप 1080 पी वीडियो देख रहे हैं।

फ्लैश प्लेयर हार्डवेयर वीडियो डिकोडिंग सक्षम करें

अधिकांश उपयोगकर्ताओं ने खबर दी है कि इससे फ्लैश प्लेयर की लगातार क्रैश हो जाती है (शायद डिकोडिंग में समवर्ती मुद्दों के कारण) लेकिन यदि आप भाग्यशाली महसूस कर रहे हैं, तो इसे आज़माएं।

यह भी वही विधि है जिसका उपयोग किया जाता है फ्लैश-एड एडन। यह इसे बेहतर नहीं बनायेगा।

चलाएँ:

sudo mkdir /etc/adobe
echo -e "EnableLinuxHWVideoDecode=1" | sudo tee /etc/adobe/mms.cfg > /dev/null

यह /etc/adobe/mms.cfg फ़ाइल के साथ बना देगा EnableLinuxHWVideoDecode=1 सामग्री। जीपीयू पर वीडियो को डीकोड करने के लिए वास्तव में फ्लैश प्लेयर को कैसे मजबूर करना है और यह आधिकारिक तौर पर एडोब द्वारा समर्थित नहीं है।

इसे पूर्ववत करने के लिए, चलाएं:

sudo rm /etc/adobe/mms.cfg

mms.cfg फ़ाइल को निकालने के लिए।

आप फ्लैश प्लेयर की स्थिरता को और बेहतर बनाने की कोशिश कर सकते हैं VDPAU_NVIDIA_NO_OVERLAY=1 पर्यावरण चर, देखें Nvidia मंच

फ़्लैश प्लेयर बदलें

(जैसा कि द्वारा अनुशंसित किया गया है लॉन्चपैड पर बाउसर)

उपयोग FlashVideoReplacer फ़ायरफ़ॉक्स ऐड-ऑन, लिट्टेना मैगािका या फ्लैश में मानक खिलाड़ियों को एम्बेडेड वीडियो प्लेयर प्लगइन के साथ बदलने के लिए अन्य समाधान (जैसे टोटेम - totem-mozilla - या वीएलसी - mozilla-plugin-vlc)। कोई फ़्लैश प्लेयर नहीं, कोई समस्या नहीं है।

पैच libvdpau (vdpau_trace हैक)

वहाँ एक है Nvidia द्वारा अनौपचारिक पैच जो vdpau_trace हैकिंग द्वारा libvdpau स्तर पर फ़्लैश प्लेयर की बग को ठीक करता है।

ध्यान दें कि स्टीफन वॉरेन द्वारा उपरोक्त पैच तकनीकी रूप से बेहतर है और इसके बजाय इसका उपयोग किया जाना चाहिए।

गैर-कामकाज

निम्नलिखित समाधान केवल आंशिक रूप से काम करेंगे या उनके पास कुछ चेतावनी हो सकती हैं।

यूट्यूब पर एचटीएमएल 5 सक्षम करें

एचटीएमएल 5 प्लेयर को सक्षम करना http://www.youtube.com/html5 सभी वीडियो के साथ काम नहीं करेगा; कुछ यूट्यूब वीडियो सिर्फ एचटीएमएल 5 प्लेयर के लिए उपलब्ध नहीं हैं (उदाहरण के लिए विज्ञापन समर्थन की कमी के कारण)। हालांकि एचटीएमएल 5 वीडियो भयानक है और आपको इसे किसी भी तरह इस्तेमाल करना चाहिए।

फ्लैश प्लेयर 11.1 में डाउनग्रेड करें

वहां ज्ञात भेद्यताएं एफपी 11.1 में जो 11.2 में तय किए गए हैं। यदि आप इसे जोखिम देना चाहते हैं, तो आपको पता होना चाहिए कि आप क्या प्राप्त कर रहे हैं।

यदि आप अभी भी डाउनग्रेड करना चाहते हैं, तो फ़्लैश प्लेयर 10.3 को आजमाएं जो अभी भी बनाए रखा गया है - आप इसे प्राप्त कर सकते हैं एडोब का संग्रह

विभिन्न जीपीयू पर स्विच करें

ऐसा लगता है कि बहुत कम Nvidia GPU प्रभावित नहीं हैं, विशेष रूप से क्वाड्रो 2000 और GeForce GT 430। दोनों के पास है वीडीपीएयू सुविधा सेट सी, लेकिन अन्यथा अधिकांश फीचर सेट सी जीपीयू भी प्रभावित होते हैं। यदि आपके पास उपर्युक्त GPUs में से कोई भी है, तो कृपया हमें बताएं लॉन्चपैड पर क्या यह बग आपको प्रभावित करता है।


187
2018-03-31 20:22



बेहद सहायक और सूचनात्मक पाठ। मैंने उल्लिखित भंडार में मिली डेब से libvdpau.so.1.0.0 निकालने के द्वारा अपने ओपनएसयूएसई 12.2 में इस मुद्दे को ठीक कर दिया है launchpad.net/~tikhonov/+archive/misc मेरे / usr / lib64 - सही करने के लिए। धन्यवाद! - RushPL
नए जीपीयू में निश्चित रूप से बग होता है (फीचर सेट सी के साथ)। मैं कई में से एक हूँ। - Victor
@ विक्टर हां, मैंने देखा है; यह एक सिद्धांत था और यह गलत था। यह अजीब बात है कि दो विशेष (और बहुत अलग) जीपीयू प्रभावित नहीं होते हैं, मैं सोचने के इच्छुक हूं कि संवाददाताओं ने कुछ याद किया है, उदाहरण के लिए उनके पास libvdpau स्थापित नहीं था (Quatro 2000 पर नकारात्मक रिपोर्ट एडोब के प्रतिनिधि से आता है)। - jnv
समस्या को तोड़ने के लिए समय निकालने के लिए धन्यवाद और प्रत्येक के लिए स्पष्टीकरण के साथ कई समाधान प्रदान करें। Libpauv1 पैच को लागू करने के लिए मेरे लिए बहुत अच्छा काम किया, और मुझे समाधान लागू करने के लिए केवल अपने ब्राउज़र को पुनरारंभ करने की आवश्यकता थी। धन्यवाद! - dusktreader
मैं साथ गया Prevent Flash Player from finding libvdpau समाधान और पुष्टि करता है कि यह काम करता है। का स्थान libflashplayer.so फाइल में था /usr/lib/mozilla/plugins/libflashplayer.so और ओपेरा के लिए भी काम किया - ulkas


अद्यतन करें: कृपया देखें यह समाधान एक उचित फिक्स के लिए। यहां उल्लिखित समाधान कई लोगों के लिए दुर्घटनाओं की ओर जाता है जिन्होंने इसे आजमाया।

यह एक के कारण होता है बग नए फ्लैश संस्करण में जो एडोब ठीक करने से इंकार कर देता है। लॉन्चपैड पर एक बग्रेपोर्ट भी है जो इस पर चर्चा करता है (एलपी: # 967,091)। बग केवल तभी दिखाई देता है जब आप एनवीडिया बाइनरी ड्राइवरों का उपयोग करते हैं और libvdpau स्थापित करते हैं। एक त्वरित फिक्स फ़्लैश कॉन्फ़िगरेशन में कुछ अतिरिक्त सेटिंग्स जोड़ रहा है।

sudo mkdir /etc/adobe
echo -e "EnableLinuxHWVideoDecode=1\nOverrideGPUValidation=true" | sudo tee /etc/adobe/mms.cfg > /dev/null

यह अभी भी VDPAU हार्डवेयर त्वरण होने पर समस्या को हल करता है। दुर्भाग्य से शायद इस मैन्युअल कॉन्फ़िगर-हैक के बिना इसे ठीक करने के लिए एक नया फ़्लैश संस्करण नहीं होगा क्योंकि फ्लैश संस्करण जो इस बग को पेश करता है वह भी अंतिम फ़्लैश संस्करण है जो एडोब कभी लिनक्स के लिए रिलीज़ होगा।

यदि यह आपके लिए अस्थिरता का कारण बनता है, तो आपके द्वारा बनाई गई निर्देशिका को हटाकर परिवर्तनों को वापस लाएं।

sudo rm -r /etc/adobe

या आप /etc/adobe/mms.cfg फ़ाइल को बस को कम करने का प्रयास कर सकते हैं

OverrideGPUValidation=true

sudo gedit /etc/adobe/mms.cfg के साथ संपादन करके लाइन।


94
2018-03-30 19:26



धन्यवाद, इसने उबंटू 11.10 (एडोब-फ्लैशप्लगिन 11.2.202.228-0oneiric1) पर मेरे लिए इस मुद्दे को हल किया। यह लिनक्स के लिए फ्लैश का आखिरी संस्करण नहीं है, वहां सुरक्षा अपडेट होंगे और नए संस्करण Google क्रोम के साथ बंडल किए जाएंगे। - Mateusz Stachowski
Mms.cfg में उन सुविधाओं को सक्षम करने के लिए नियमित रूप से फ़्लैश क्रैश बनाया गया। - blujay
हाँ, नीली समस्या तय की लेकिन नियमित रूप से दुर्घटनाग्रस्त यह बेकार है - Hubro
यह नीली रंग के रंग के साथ इस मुद्दे को हल करता है, लेकिन मेरे लिए अस्थिरता का कारण बनता है। - foh1981
यह आदेश फ्लैश प्लगइन क्रैश को अक्सर मेरे लिए भी बनाता है। आप वापस कैसे वापस आते हैं? - RockScience


ठीक करें (चारों ओर काम करें)

मुद्दा:  सभी वेब ब्राउज़र फ़्लैश प्लेयर वीडियो नीला है

  • क्रोमियम
  • गूगल क्रोम
  • फ़ायरफ़ॉक्स

फ्लैश प्लगइन्स दोनों फ्लैश वीडियो को ब्लू ओवरले दिखाई देने का कारण बनता है, इसलिए हटा दें।

  • एडोब - फ्लैशप्लगिन
  • Flashplugin - इंस्टॉलर

समाधान (एडोब फ्लैश प्लग के रूप में कार्यात्मक नहीं है लेकिन यह काम करता है)

  • लाइटपार्क स्थापित करें (साथ ही कोई ब्राउज़र-प्लगइन्स) या
  • Gnash इंस्टॉल करें (साथ ही कोई ब्राउज़र-प्लगइन्स)

संभावित फिक्स 1

हटा दिया: 

  • gnash ब्राउज़र प्लग-इन
  • gightspark ब्राउज़र प्लग-इन
  • यूनिक्स (पुस्तकालय) के लिए वीडियो डिकोड और प्रस्तुति API libvdpau1 
  • flashplugin - इंस्टॉलर

स्थापित: 

एडोब-flashplugin ब्राउज़र को फिर से शुरू किया, और यह मेरे लिए काम किया।

संभावित फिक्स 2

स्थापित: 

  • libvdpau1

फ्लैश सेट-अप

  • फ़्लैश में एचडब्ल्यू त्वरण अक्षम करें।

अपने ब्राउज़र को खोलें और फ्लैश वीडियो (यूट्यूब, एबोब फ्लैश साइट इत्यादि) पर नेविगेट करें, राइट क्लिक करें, सेटिंग्स और हार्डवेयर त्वरण अक्षम करें।

यदि आप हार्डवेयर त्वरण को अक्षम करने में असमर्थ हैं, तो एकता 2 डी वातावरण में लॉग इन करें।

बग: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/968489

ओबीएस: दृढ़ता के मामले में। मशीन को पुनरारंभ करें।


51
2018-03-31 12:37



मेरे लिए केवल libvdpau1 स्थापित करने के बाद, कई अन्य समाधानों के बाद काम नहीं किया। मैं एनवीआईडीआईए ड्राइवर 295.33 के साथ उबंटू 11.10 चला रहा हूं। - D Coetzee
libvdpau1 उबंटू 12.04 64 बिट में मेरे लिए पहले ही स्थापित किया गया था। वैसे भी हार्डवेयर त्वरण को अक्षम करने के लिए मेरे लिए चाल थी। मैं एक ही एनवीडिया ड्राइवर का उपयोग @ डेरिक कोटेज़ी के रूप में कर रहा हूं, लेकिन जीनोम शैल के साथ सटीक पर। - titaniumtux
मैं एचडब्ल्यू एक्सेल को अक्षम करने के विकल्प पर क्लिक नहीं कर सकता। - RolandiXor♦
Libvdpau1 को हटाने के लिए मैंने परीक्षण की सभी साइटों के लिए फ़ायरफ़ॉक्स और क्रोम में मेरे लिए काम किया है। अगर यह मदद करता है तो मेरे पास एनवीडिया 440 जीटी कार्ड है। - Luis Alvarado♦
यदि आप फ्लैश सेटिंग्स में हार्डवेयर त्वरण विकल्प को अनचेक नहीं कर सकते हैं, तो इसे पूर्ण स्क्रीन में आज़माएं - उदा। यूट्यूब, पूर्णस्क्रीन में कोई भी वीडियो खोलें, और फ्लैश सेटिंग्स खोलें (राइट क्लिक> सेटिंग्स ...); खिड़की उत्तरदायी होना चाहिए। यदि ब्राउज़र की विंडो में स्क्रॉलबार है, तो सेटिंग्स संवाद समग्र WM के तहत अनुत्तरदायी है। - jnv


ठीक है, तो यह हल करने के साथ मेरा अनुभव यहां है (उबंटू 12.04 64-बिट, एनवीडिया ड्राइवरों पर):

  • Flashplugin-installer को हटाने और एडोब-फ्लैशप्लगिन स्थापित करना (इसे ठीक नहीं किया)

यह रिबूट करने तक काम किया। लेकिन मैंने एडोब-फ्लैशप्लगिन रखा क्योंकि मैं 64-बिट पर हूं (मुझे लगता है कि यह सबसे अच्छा काम करता है)।

  • ड्राइवर संस्करण बदल रहा है (इसे ठीक नहीं किया)

पहले मेरे पास एनवीडिया-वर्तमान-अपडेट थे, मैंने इसे एनवीडिया-चालू में बदल दिया। यह ठीक नहीं हुआ। सिनैप्टिक इंगित करता है कि इस लेखन के रूप में ड्राइवर संस्करण समान हैं (2 9 .5.33)।

  • फ़ायरफ़ॉक्स में फ्लैश-एड ऐड-ऑन इंस्टॉल करना (इसे हल करें, लेकिन अस्थिर)

यह तब तक काम करता था जब तक मैंने हार्डवेयर त्वरण विकल्प को सक्रिय नहीं किया (नीचे दिए गए विकल्प से भ्रमित नहीं होना !!)। इससे कोई फर्क नहीं पड़ता कि मैंने फ्लैश प्लगइन को रिपॉजिटरीज़ या एडोब से बीटा इंस्टॉल किया है। हालांकि, ब्लूश टिंट को ठीक करते समय, फ्लैश ऑब्जेक्ट्स के साथ बातचीत करते समय प्लगइन बेहद अस्थिर हो गया और लगातार क्रैश हो गया।

  • यूट्यूब पर एचटीएमएल 5 वीडियो सक्रिय करना (इसे यूट्यूब पर तय किया गया)

जबकि मुझे केवल यूट्यूब वीडियो पर यह समस्या मिली है, मैं यह सुनिश्चित नहीं कर सकता कि अन्य साइटें और वीडियो प्रभावित नहीं हैं। यदि आप Youtube.com पर HTML5 वीडियो को सक्रिय या निष्क्रिय करना चाहते हैं, तो यहां दूसरों द्वारा सुझाव के अनुसार, youtube.com/html5 पर जाएं।

  • फ्लैश वीडियो पर राइट-क्लिक करके हार्डवेयर त्वरण को अक्षम करना (इसे ठीक करें)

यह मेरे लिए सबसे अच्छा काम करता है (लेकिन मुझे इस थ्रेड में pst007x द्वारा सुझाव के अनुसार एकता 2 डी के साथ लॉग इन करना पड़ा था)। नीली रंग की टिंट चली गई है, और वीडियो स्थिर हैं। मुझे डर था कि सीपीयू वर्कलोड बढ़ेगा लेकिन हार्डवेयर त्वरण के साथ और बिना परीक्षण में मुझे कोई बदलाव नहीं देखा जा सकता था (मैंने इसके लिए 1080p में गूगल्स चैनल से एक वीडियो इस्तेमाल किया), यह लगभग 40% से शुरू होता है और वीडियो पर 20% तक गिर जाता है पूरी तरह से भरा हुआ है।


14
2018-03-31 01:53





इसके लिए मेरा त्वरित समाधान, वैसे भी, यूट्यूब के लिए, उनके साथ जुड़ना था एचटीएमएल 5 बीटा

यह एक इलाज किया ... और जो मैं देख सकता हूं, ऐसा लगता है कि यूट्यूब केवल इस बदसूरत सिर से अपने बदसूरत सिर का पालन कर रहा है ...

एचटीएमएल 5 का उपयोग शुरू करना वास्तव में सबसे अच्छा है। आपको याद रखना होगा फ़्लैश लिनक्स की बात आती है जब बाहर निकलती है। तब हम सभी का उपयोग करना होगा गूगल क्रोम और कुछ नहीं :(


9
2018-01-16 09:27



विज्ञापनों के साथ वीडियो पर काम नहीं करता है - waspinator


मैंने फ्लैश प्लेयर को हटाने के बाद इस समस्या का समाधान किया और फिर एडोब की साइट से फ्लैश डाउनलोड करके इसे उबंटू सॉफ्टवेयर सेंटर के माध्यम से स्थापित करके मैन्युअल रूप से फ्लैश बैक इंस्टॉल किया।


4
2018-01-23 03:43





मैंने एनवीआईडीआईए चालक को संस्करण 173 में घुमाकर इसे हल किया (लिनक्स मिंट लिसा, जो उबंटू वनिरिक पर आधारित है) का समाधान किया।

अद्यतन: दुर्भाग्यवश, एनवीआईडीआईए चालक संस्करण 173 में एक ही नीले रंग के रंग का उत्पादन होता है एमपी 4 वीडियो कि NVIDIA ड्राइवर का अनुशंसित (अद्यतन) संस्करण करता है फ्लैश वीडियो। यह थोड़ा क्रोधित है: मैं या तो अपनी कॉफी बहुत ठंडा या बहुत प्यारा हो सकता है।

और एक और अपडेट: मैं टोटेम में एमपी 4 की समस्या को प्राथमिकता तक पहुंचने और ह्यू स्लाइडर को दाईं ओर सभी तरह से घुमाने में सक्षम था। गर्म और बहुत मीठा नहीं।


3
2018-03-30 13:11





इसे इस्तेमाल करे:

sudo apt-get purge flashplugin-installer
sudo apt-get install adobe-flashplugin

3
2018-04-30 11:24



+1 मुझे थोड़ी देर पहले (10.04) एक ही समस्या थी, और मुझे पूरा यकीन है कि इस तरह मैंने इसे ठीक किया है। - Aaron
दुर्भाग्य से समस्याएं रहती हैं। - enedene
ठीक है, तो निर्देशों के साथ फ्लैश हार्डवेयर त्वरण को अक्षम करने का प्रयास करें यहाँ। - SirCharlo
यूट्यूब पर, मुझे एक ही समस्या है। Vimeo काम करने लगता है। एचटीएमएल 5 पर स्विचिंग यूट्यूब पर समस्या को हल करता है। मैंने फ्लैशप्लगिन-इंस्टॉलर को शुद्ध करके और एडोब-फ्लैशप्लगिन स्थापित करके इसे अस्थायी रूप से ठीक किया, लेकिन समस्या रीबूट के बाद लौटा दी गई। हार्डवेयर त्वरण को निष्क्रिय करने के लिए, कुछ समय पहले मेरे लिए यह असंभव है। मैं पॉपअप के साथ बातचीत नहीं कर सकता (11.10 के बाद से एक समस्या और अब 12.04 पर)। - foh1981
यूट्यूब वीडियो, सेटिंग्स पर राइट क्लिक करें, हार्डवेयर त्वरण कार्यों को अक्षम करें। यह एक दुर्भाग्यपूर्ण समाधान है, लेकिन यह तब तक काम कर रहा है जब तक एडोब इसे ठीक करने का फैसला नहीं करता। - enedene


यदि आपके पास फ्लैश के नवीनतम संस्करण के साथ एनवीडिया ड्राइवर स्थापित हैं तो यह एक समस्या हो सकती है। फ्लैश वीडियो पर राइट क्लिक करने और सेटिंग्स से हार्डवेयर त्वरण को अक्षम करने का प्रयास करें। यह मेरे लिए काम किया।


2
2018-06-13 06:52





मेरी भी यही समस्या है। मैं लिनक्स 3.2.0-24-जेनेरिक (32-बिट), फ्लैश (नवीनतम) संस्करण 11.2.202.236 और मोज़िला फ़ायरफ़ॉक्स का उपयोग कर रहा हूं।

मैंने वैश्विक सेटिंग्स में त्वरण रद्द करने की कोशिश की - यह ठीक नहीं हुआ। मैंने अपनी एक्स स्क्रीन के लिए एनवीडिया ड्राइवर सेटिंग्स को रीसेट करने का प्रयास किया।

मूवी प्लेयर में रंग के साथ कोई समस्या नहीं है और ऐसे वीडियो हैं जिन्हें मैं इंटरनेट पर चला सकता हूं जो ठीक है, लेकिन यूट्यूब वीडियो नहीं।

Mms.cfg फ़ाइल बनाना काम किया। हालांकि इसने मीडिया प्लेयर और मिरो प्लेबैक को खारिज कर दिया (वीडियो और फिल्म नीली हो गई)।

इसके बाद मैंने इसका अनुसरण किया:

  1. खोलें gstreamer-गुण (ऑल्ट+F2, दर्ज gstreamer-properties)। वीडियो टैब में बदलें। "एक्स विंडो सिस्टम (एक्स 11 / एक्सएचएम / एक्सवी)" में डिफ़ॉल्ट आउटपुट प्लगइन बदलें। डिवाइस-डीफॉल्ट बनाएं। बॉक्स को टेस्ट और बंद करें।

1
2018-05-06 23:46